<?php
/**
  *
  * Project Admin: Edit Packages
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: editpackages.php,v 1.3 2002/06/07 09:17:34 arjenvanefferen Exp $
  *
  */

include_once ("../../../mainfile.php");

$langfile="project.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/project/admin/project_admin_utils.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");

project_check_access ($group_id);

// get current information
$group =& group_get_object($group_id);
$perm  =& $group->getPermission( $xoopsUser );

if (!$perm->isReleaseTechnician()) {
	redirect_header(XOOPS_URL."/",4,_XF_G_PERMISSIONDENIED."<br />"._XF_PRJ_NOTRELEASETECHNIC);
	exit;
}

/*


	Relatively simple form to edit/add packages of releases


*/

// only admin can modify packages (vs modifying releases of packages)
if ($perm->isAdmin() && $submit) {
	/*

		make updates to the database

	*/
	if ($func=='add_package' && $package_name) {

		//create a new package
		$xoopsDB->queryF("INSERT INTO ".$xoopsDB->prefix("xf_frs_package")." (group_id,name,status_id) "
		                ."VALUES ('$group_id','".$ts->makeTboxData4Save($package_name)."','1')");
		$feedback .= ' '._XF_PRJ_ADDEDPACKAGE.' ';

	} else if ($func=='update_package' && $package_id && $package_name && $status_id) {
		if ($status_id != 1) {
			//if hiding a package, refuse if it has releases under it
			$res = $xoopsDB->query("SELECT * FROM ".$xoopsDB->prefix("xf_frs_release")." WHERE package_id='$package_id' AND status_id=1");
			if ($xoopsDB->getRowsNum($res) > 0) {
				$feedback .= ' Sorry - you cannot hide a package that contains active releases ';
				$status_id = 1;
			}
		}
		//update an existing package
		$xoopsDB->queryF("UPDATE ".$xoopsDB->prefix("xf_frs_package")." SET "
		                ."name='".$ts->makeTboxData4Save($package_name)."',"
										."status_id='$status_id' "
										."WHERE package_id='$package_id' "
										."AND group_id='$group_id'");
										
		$feedback .= ' '._XF_PRJ_UPDATEDPACKAGE.' ';
	}
}

include ("../../../header.php");
OpenTable();

echo "<b>"._XF_G_PROJECT.": ".$group->getPublicName()."</b><br /><br />";
echo "<B style='font-size:16px;align:left;'>"._XF_PRJ_RELEASEEDITFILERELEASES."</B><br />";
project_tabs ('admin', $group_id);
project_admin_header($group_id, $perm->isAdmin());
echo "<p style='color:#FF0000;'>".$feedback."</p>";

if ( file_exists(XOOPS_ROOT_PATH."/xf/language/".$xoopsConfig['language']."/project_text_1.php") ) {
	include(XOOPS_ROOT_PATH."/xf/language/".$xoopsConfig['language']."/project_text_1.php");
} else {
	include(XOOPS_ROOT_PATH."/xf/language/english/project_text_1.php");
}
/*

	Show a list of existing packages
	for this project so they can
	be edited

*/

$res = $xoopsDB->query("SELECT status_id,package_id,name AS package_name "
                      ."FROM ".$xoopsDB->prefix("xf_frs_package")." "
		                  ."WHERE group_id='$group_id'");
$rows = $xoopsDB->getRowsNum($res);
if (!$res || $rows < 1) {
	echo "<B>"._XF_PRJ_NOPACKAGESDEFINED."</b><p>";
} else {
  ?>
		<table border="0" width="95%" cellpadding="0" cellspacing="0" align="center" valign="top"><tr><td class='bg2'>
    <table border="0" cellpadding="4" cellspacing="1" width="100%">
    <tr class='bg3' align='left'>
	    <td align="center"><span class='fg2'><b><?php echo _XF_PRJ_RELEASES; ?></b></span></td>
	    <td align="center"><span class='fg2'><b><?php echo _XF_PRJ_PACKAGENAME; ?></b></span></td>
	    <td align="center"><span class='fg2'><b><?php echo _XF_PRJ_STATUS; ?></b></span></td>
			<?php
			if ($perm->isAdmin())
			  echo "<td align='center'><span class='fg2'><b>"._XF_G_UPDATE."</b></span></td>";
			?>
    </tr>
  <?php
	for ($i=0; $i<$rows; $i++) {
    // If user is not project admin, use static fields whenever possible
    if ($perm->isAdmin()) {
      $name_entry = "<INPUT TYPE='TEXT' NAME='package_name' VALUE='"
			             .$ts->makeTboxData4Edit(unofficial_getDBResult($res,$i,'package_name'))."' SIZE='20' MAXLENGTH='30'>";
    } else {
     	$name_entry = $ts->makeTboxData4Show(unofficial_getDBResult($res,$i,'package_name'));
    }
		$status_entry = frs_show_status_popup ('status_id', unofficial_getDBResult($res,$i,'status_id'));

		echo "<FORM ACTION='".$PHP_SELF."' METHOD='POST'>"
		    ."<INPUT TYPE='HIDDEN' NAME='group_id' VALUE='".$group_id."'>"
		    ."<INPUT TYPE='HIDDEN' NAME='func' VALUE='update_package'>"
		    ."<INPUT TYPE='HIDDEN' NAME='package_id' VALUE='".unofficial_getDBResult($res,$i,'package_id')."'>"
		    ."<TR class='".($i%2>0?"bg1":"bg3")."'>"
		    ."<TD NOWRAP ALIGN='center'>"
		    ."<FONT SIZE='-1'>[ <A HREF='newrelease.php?package_id="
				.unofficial_getDBResult($res,$i,'package_id')."&group_id=".$group_id."'><B>"._XF_PRJ_ADDRELEASE."</B>"
		    ."</A> ]</FONT>"
				."<FONT SIZE='-1'>[ <A HREF='editreleases.php?package_id="
				.unofficial_getDBResult($res,$i,'package_id')."&group_id=".$group_id."'><B>"._XF_PRJ_EDITRELEASES."</B>"
		    ."</A> ]</FONT>"
		    ."</TD>"
		    ."<TD><FONT SIZE='-1'>".$name_entry."</TD>"
		    ."<TD><FONT SIZE='-1'>".$status_entry."</TD>";

		if ($perm->isAdmin())
		  echo "<TD><FONT SIZE='-1'><INPUT TYPE='SUBMIT' NAME='submit' VALUE='"._XF_G_UPDATE."'></TD>";
			
		echo "</TR></FORM>";
	}
	echo "</TABLE></TD></TR></TABLE>";
}

/*

	form to create a new package

*/

if ($perm->isAdmin())
{
  echo "<P>"
	    ."<B>"._XF_PRJ_NEWPACKAGENAME.":</B>"
			."<P>"
			."<FORM ACTION='".$PHP_SELF."' METHOD='POST'>"
			."<INPUT TYPE='HIDDEN' NAME='group_id' VALUE='".$group_id."'>"
			."<INPUT TYPE='HIDDEN' NAME='func' VALUE='add_package'>"
			."<INPUT TYPE='TEXT' NAME='package_name' VALUE='' SIZE='20' MAXLENGTH='30'>"
			."<P>"
			."<INPUT TYPE='SUBMIT' NAME='submit' VALUE='"._XF_PRJ_CREATETHISPACKAGE."'>"
			."</FORM>";
}

CloseTable();
include ("../../../footer.php");

?>
