<?php
/**
  *
  * Project File Information/Download Page
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: showfiles.php,v 1.2 2002/05/29 18:15:46 arjenvanefferen Exp $
  *
  */

include_once("../../mainfile.php");

$langfile="project.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");

$project =& group_get_object($group_id);

//group is private
if (!$project->isPublic()) {
	//if it's a private group, you must be a member of that group
	if (!$project->isMemberOfGroup($xoopsUser) && !$perm->isSuperUser())
	{
		redirect_header(XOOPS_URL."/",4,_XF_PRJ_PROJECTMARKEDASPRIVATE);
		exit;
	}
}

//for dead projects must be member of xoopsforge project
if (!$project->isActive() && !$perm->isSuperUser()) {
		redirect_header(XOOPS_URL,4,_XF_PRJ_NOTAUTHORIZEDTOENTER);
		exit;
}

include ("../../header.php");
OpenTable();

echo "<b>"._XF_G_PROJECT.": ".$project->getPublicName()."</b><br /><br />";
echo "<B style='font-size:16px;align:left;'>"._XF_PRJ_PROJECTFILELIST."</B><br />";
project_tabs ('downloads', $group_id);

$res_package = $xoopsDB->query("SELECT * "
                              ."FROM ".$xoopsDB->prefix("xf_frs_package")." "
                              ."WHERE group_id='$group_id' "
                              ."AND status_id='1' "
                              ."ORDER BY name");
$num_packages = $xoopsDB->getRowsNum( $res_package );

if ( $num_packages < 1) {
	echo _XF_PRJ_NOFILEPACKAGESDEFINED;
}
else
{
  echo "<p>"._XF_PRJ_BELOWLISTOFALLFILES." ";
	
  if ($release_id)
  {
    echo _XF_PRJ_RELEASECHOSENISHIGH." ";
  }
  echo _XF_PRJ_READNOTESBEFOREDOWNLOAD."</p>";

  ?>
		<table border="0" width="95%" cellpadding="0" cellspacing="0" align="center" valign="top"><tr><td class='bg2'>
    <table border="0" cellpadding="4" cellspacing="1" width="100%">
    <tr class='bg3' align='left'>
	    <td align="center" rowspan="2"><span class='fg2'><b><?php echo _XF_PRJ_PACKAGE; ?></b></span></td>
	    <td align="center" rowspan="2"><span class='fg2'><b><?php echo _XF_PRJ_RELEASE; ?><BR>&amp; <?php echo _XF_PRJ_NOTES; ?></b></span></td>
	    <td align="center" rowspan="2"><span class='fg2'><b><?php echo _XF_PRJ_FILENAME; ?></b></span></td>
	    <td align="center" colspan="4"><span class='fg2'><b><?php echo _XF_G_DATE; ?></b></span></td>
    </tr>
    <tr class='bg3' align='left'>
	    <td align="center"><span class='fg2'><b><?php echo _XF_PRJ_SIZE; ?></b></span></td>
	    <td align="center"><span class='fg2'><b><?php echo _XF_PRJ_DL; ?></b></span></td>
	    <td align="center"><span class='fg2'><b><?php echo _XF_PRJ_ARCH; ?></b></span></td>
	    <td align="center"><span class='fg2'><b><?php echo _XF_PRJ_TYPE; ?></b></span></td>
    </tr>
	<?php
			
  $proj_stats['packages'] = $num_packages;

   // Iterate and show the packages
  for ( $p = 0; $p < $num_packages; $p++ ) {
	  echo "<TR class='".($i%2>0?"bg1":"bg3")."'>"
		    ."<TD colspan='3'><H4 style='text-align:left;'>".$ts->makeTboxData4Show(unofficial_getDBResult($res_package,$p,'name'))."</H4></TD>"
				."<TD COLSPAN='4'>&nbsp;</TD></TR>";

	   // get the releases of the package
	  $res_release = $xoopsDB->query("SELECT * "
		                              ."FROM ".$xoopsDB->prefix("xf_frs_release")." "
																	."WHERE package_id='".unofficial_getDBResult($res_package,$p,'package_id')."' "
																	."AND status_id=1 "
																	."ORDER BY release_date DESC, name ASC");
	  $num_releases = $xoopsDB->getRowsNum($res_release);

	  $proj_stats['releases'] += $num_releases;

	  if ( !$res_release || $num_releases < 1 ) {
		  echo "<TR class='".($i%2>0?"bg1":"bg3")."'>"
			    ."<TD colspan='3'>&nbsp;&nbsp;<i>"._XF_PRJ_NORELEASES."</i></TD>"
					."<TD COLSPAN='4'>&nbsp;</TD></TR>";
	  } else {
		  // iterate and show the releases of the package
		  for ( $r = 0; $r < $num_releases; $r++ ) {
			  $package_release = $xoopsDB->fetchArray($res_release);

	    	// Highlight the release if one was chosen
	     	if ($release_id && $release_id == $package_release['release_id']) {
		      $bgcolor = "bg4";
		    } else {
		      $bgcolor = ($i%2>0?"bg1":"bg3");
		    }
				echo "<TR class='".$bgcolor."'>"
				    ."<TD colspan='3'>&nbsp;&nbsp;&nbsp;&nbsp;<B>"
						."<A HREF='shownotes.php?release_id=".$package_release['release_id']."'>"
						.$ts->makeTboxData4Show($package_release['name'])."</A></B></TD>"
						."<TD COLSPAN='4' align='middle'>"
						."<b>".date('Y-m-d H:i',$package_release['release_date'])."</b></TD></TR>";

			   // get the files in this release....
			  $sql = "SELECT ff.filename AS filename,"
				      ."ff.file_size AS file_size,"
							."ff.file_id AS file_id,"
							."ff.release_time AS release_time,"
				      ."fft.name AS type,"
				      ."fp.name AS processor,"
				      ."fdfa.downloads AS downloads "
				      ."FROM ".$xoopsDB->prefix("xf_frs_filetype")." fft,".$xoopsDB->prefix("xf_frs_processor")." fp,".$xoopsDB->prefix("xf_frs_file")." ff "
							."LEFT JOIN ".$xoopsDB->prefix("xf_frs_dlstats_file_agg")." fdfa "
							."ON fdfa.file_id=ff.file_id "
				      ."WHERE release_id='".$package_release['release_id']."' "
				      ."AND fft.type_id=ff.type_id "
				      ."AND fp.processor_id=ff.processor_id "
							."ORDER BY filename";
							
			$res_file = $xoopsDB->query($sql);
			$num_files = $xoopsDB->getRowsNum($res_file);

			$proj_stats['files'] += $num_files;

			if ( !$res_file || $num_files < 1 ) {
				echo "<TR class='".$bgcolor."'>"
				    ."<TD colspan='3'><dd><i>"._XF_PRJ_NOFILES."</i></TD><TD COLSPAN='4'>&nbsp;</TD></TR>";
			} else {
				// now iterate and show the files in this release....
				for ( $f = 0; $f < $num_files; $f++ ) {
					$file_release = $xoopsDB->fetchArray($res_file);
					echo "<TR class='".$bgcolor."'>"
					    ."<TD colspan=3><dd>"
							."<A HREF='dl.php?dl=".$file_release['file_id']."' target='_blank'>"
						  .$file_release['filename']."</A></TD>"
						  ."<TD align='right'>".$file_release['file_size']." </TD>"
						  ."<TD align='right'>".($file_release['downloads']?number_format($file_release['downloads'],0):'0')." </TD>"
						  ."<TD>".$file_release['processor']."</TD>"
						  ."<TD>".$file_release['type']."</TD>"
						  //. '<TD>'. /*date( 'Y-m-d H:i', $file_release['release_time'] ) .*/'&nbsp;</TD>'
						  ."</TR>";

					$proj_stats['size'] += $file_release['file_size'];
					$proj_stats['downloads'] += $file_release['downloads'];
				}	
			}
		}
	}
}

if ($proj_stats['size']) {
	echo "<TR><TD COLSPAN='8'>&nbsp;</TR>";
	echo "<TR><TD><B>"._XF_PRJ_PROJECTTOTALS.": </B></TD>"
	    ."<TD align='right'><B><I>".$proj_stats['releases']."</I></B></TD>"
		  ."<TD align='right'><B><I>".$proj_stats['files']."</I></B></TD>"
		  ."<TD align='right'><B><I>".$proj_stats['size']."</I></B></TD>"
		  ."<TD align='right'><B><I>".$proj_stats['downloads']."</I></B></TD>"
		  ."<TD COLSPAN='3'>&nbsp;</TD></TR>";
}

echo "</TABLE></TD></TR></TABLE>";
}

CloseTable();
include ("../../footer.php");
?>
