<?php
/**
  *
  * SourceForge Survey Facility
  *
  * SourceForge: Breaking Down the Barriers to Open Source Development
  * Copyright 1999-2001 (c) VA Linux Systems
  * http://sourceforge.net
  *
  * @version   $Id: show_results.php,v 1.3 2002/06/07 09:17:34 arjenvanefferen Exp $
  *
  */
include_once ("../../../mainfile.php");

$langfile="survey.php";
require_once(XOOPS_ROOT_PATH."/xf/include/pre.php");
require_once(XOOPS_ROOT_PATH."/xf/include/project_summary.php");
require_once(XOOPS_ROOT_PATH."/xf/survey/survey_utils.php");

project_check_access ($group_id);

// get current information
$group =& group_get_object($group_id);
$perm  =& $group->getPermission( $xoopsUser );

survey_header($group, _XF_SUR_SURVEYRESULTS, 'is_admin_page');
	
function  ShowResultsSurvey($result) {
	global $group_id, $xoopsConfig, $xoopsDB;
	$rows  =  $xoopsDB->getRowsNum($result);
	$cols  =  unofficial_getNumFields($result);

	echo "<h4>".sprintf(_XF_SUR_XFOUND, $rows)."</h4>";

  echo "<table border='0' width='100%'><tr class='bg2'>";
	for ($i  =  0;  $i  <  $cols;  $i++)  {
		printf("<TD><b>%s</b></td>\n", unofficial_getFieldName($result, $i));
	}
	echo "</tr>";

	for($j  =  0;  $j  <  $rows;  $j++)  {

		echo "<TR class='".($j%2>0?'bg1':'bg3')."'>\n";
		echo "<TD><A HREF='$PHP_SELF?group_id=$group_id&survey_id=".unofficial_getDBResult($result,$j,"survey_id")."'>".unofficial_getDBResult($result,$j,"survey_id")."</A></TD>";
		for ($i = 0; $i < $cols; $i++)  {
			printf("<TD>%s</TD>\n",unofficial_getDBResult($result,$j,$i));
		}

		echo "</tr>";
	}
	echo "</table>";
}

function  ShowResultsAggregate($result) {
	global $group_id, $xoopsConfig, $xoopsDB;
	$rows  =  $xoopsDB->getRowsNum($result);
	$cols  =  unofficial_getNumFields($result);

	echo "<h4>".sprintf(_XF_SUR_XFOUND, $rows)."</h4>";

  echo "<table border='0' width='100%'><tr class='bg2'>";
	for ($i  =  0;  $i  <  $cols;  $i++)  {
		printf("<TD><b>%s</b></td>\n", unofficial_getFieldName($result, $i));
	}
	echo "</tr>";

	for($j  =  0;  $j  <  $rows;  $j++)  {

		echo "<TR class='".($j%2>0?'bg1':'bg3')."'>\n";
		echo "<TD><A HREF='show_results_aggregate.php?group_id=$group_id&survey_id=".unofficial_getDBResult($result,$j,"survey_id")."'>".unofficial_getDBResult($result,$j,"survey_id")."</A></TD>";
		for ($i = 1; $i < $cols; $i++)  {
			printf("<TD>%s</TD>\n",unofficial_getDBResult($result,$j,$i));
		}

		echo "</tr>";
	}
	echo "</table>";
}

function  ShowResultsCustomer($result) {
	global $group_id, $xoopsConfig, $xoopsDB;
	$rows  =  $xoopsDB->getRowsNum($result);
	$cols  =  unofficial_getNumFields($result);

	echo "<h4>".sprintf(_XF_SUR_XFOUND, $rows)."</h4>";

  echo "<table border='0' width='100%'><tr class='bg2'>";
	for ($i  =  0;  $i  <  $cols;  $i++)  {
		printf("<TD><b>%s</b></td>\n", unofficial_getFieldName($result, $i));
	}
	echo "</tr>";

	for($j  =  0;  $j  <  $rows;  $j++)  {

		echo "<TR class='".($j%2>0?'bg1':'bg3')."'>\n";
		echo "<TD><A HREF='show_results_individual.php?group_id=$group_id&survey_id=$survey_id&customer_id=".unofficial_getDBResult($result,$j,"cust_id")."'>".unofficial_getDBResult($result,$j,"cust_id")."</A></TD>";
		for ($i = 1; $i < $cols; $i++)  {
			printf("<TD>%s</TD>\n",unofficial_getDBResult($result,$j,$i));
		}

		echo "</tr>";
	}
	echo "</table>";
}



if (!$survey_id) {

	/*
		Select a list of surveys, so they can click in and view a particular set of responses
	*/

	$sql = "SELECT survey_id,survey_title FROM ".$xoopsDB->prefix("xf_surveys")." WHERE group_id='$group_id'";

	$result = $xoopsDB->query($sql);

//	echo "\n<h2>View Individual Responses</h2>\n\n";
//	ShowResultsSurvey($result);

	echo "\n<h4>"._XF_SUR_VIEWAGGREGATERESPONSES."</h4>\n\n";
	ShowResultsAggregate($result);

} 

survey_footer();

?>
